/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.JOptionPane;

/**
 *
 * @author chris
 */
public class view_Principal extends javax.swing.JFrame {

    /**
     * Creates new form MenuView
     */
    public view_Principal() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        desktopPane = new javax.swing.JDesktopPane();
        menuBar = new javax.swing.JMenuBar();
        fileMenu = new javax.swing.JMenu();
        ClubeMenuItem = new javax.swing.JMenuItem();
        TituloMenuItem = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JPopupMenu.Separator();
        SairMenuItem = new javax.swing.JMenuItem();
        jMenu1 = new javax.swing.JMenu();
        SobreMenuItem = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Cadastro de Títulos");

        fileMenu.setMnemonic('f');
        fileMenu.setText("Cadastros");

        ClubeMenuItem.setMnemonic('o');
        ClubeMenuItem.setText("Clube");
        ClubeMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ClubeMenuItemActionPerformed(evt);
            }
        });
        fileMenu.add(ClubeMenuItem);

        TituloMenuItem.setMnemonic('s');
        TituloMenuItem.setText("Título");
        TituloMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TituloMenuItemActionPerformed(evt);
            }
        });
        fileMenu.add(TituloMenuItem);
        fileMenu.add(jSeparator1);

        SairMenuItem.setMnemonic('x');
        SairMenuItem.setText("Sair");
        SairMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SairMenuItemActionPerformed(evt);
            }
        });
        fileMenu.add(SairMenuItem);

        menuBar.add(fileMenu);

        jMenu1.setText("Ajuda");

        SobreMenuItem.setText("Sobre");
        SobreMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SobreMenuItemActionPerformed(evt);
            }
        });
        jMenu1.add(SobreMenuItem);

        menuBar.add(jMenu1);

        setJMenuBar(menuBar);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(desktopPane, javax.swing.GroupLayout.DEFAULT_SIZE, 828, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(desktopPane, javax.swing.GroupLayout.DEFAULT_SIZE, 597, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void SairMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SairMenuItemActionPerformed
        System.exit(0);
    }//GEN-LAST:event_SairMenuItemActionPerformed

    private void ClubeMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ClubeMenuItemActionPerformed
        view_Clube clube = new view_Clube();
        this.desktopPane.add(clube);
        clube.setVisible(true);
    }//GEN-LAST:event_ClubeMenuItemActionPerformed

    private void TituloMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TituloMenuItemActionPerformed
        view_Titulo tit = new view_Titulo();
        this.desktopPane.add(tit);
        tit.setVisible(true);
    }//GEN-LAST:event_TituloMenuItemActionPerformed

    private void SobreMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SobreMenuItemActionPerformed
        // TODO add your handling code here:
        JOptionPane.showMessageDialog(null, "Desenvolvedores\n Carlos Tiago \n Pablo Soares \n Rogério Tostes", "TiastraSoft", JOptionPane.INFORMATION_MESSAGE);
    }//GEN-LAST:event_SobreMenuItemActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(view_Principal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(view_Principal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(view_Principal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(view_Principal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new view_Principal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuItem ClubeMenuItem;
    private javax.swing.JMenuItem SairMenuItem;
    private javax.swing.JMenuItem SobreMenuItem;
    private javax.swing.JMenuItem TituloMenuItem;
    private javax.swing.JDesktopPane desktopPane;
    private javax.swing.JMenu fileMenu;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JPopupMenu.Separator jSeparator1;
    private javax.swing.JMenuBar menuBar;
    // End of variables declaration//GEN-END:variables

}
